package com.sunxung.factoring.entity.acceptance;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * <p>
 * 钢小二-销售单和验收单关联关系表
 * </p>
 *
 * @author liutao
 * @since 2023-10-31
 */
@TableName("acceptance_sell_bill_ref_his")
public class AcceptanceSellBillRefHis {

    private static final long serialVersionUID = 1L;

    /**
     * 下游验收单-基础信息表
     */
    @TableField("acceptance_his_info_id")
    private Long acceptanceHisInfoId;

    /**
     * 钢小二-销售单信息id
     */
    @TableField("sell_bill_id")
    private Long sellBillId;

    /**
     * 销售单号
     */
    @TableField("sell_bill_number")
    private String sellBillNumber;

    public AcceptanceSellBillRefHis() {

    }

    public Long getAcceptanceHisInfoId() {
        return acceptanceHisInfoId;
    }

    public void setAcceptanceHisInfoId(Long acceptanceHisInfoId) {
        this.acceptanceHisInfoId = acceptanceHisInfoId;
    }
    public Long getSellBillId() {
        return sellBillId;
    }

    public void setSellBillId(Long sellBillId) {
        this.sellBillId = sellBillId;
    }
    public String getSellBillNumber() {
        return sellBillNumber;
    }

    public void setSellBillNumber(String sellBillNumber) {
        this.sellBillNumber = sellBillNumber;
    }

    @Override
    public String toString() {
        return "AcceptanceSellBillRefHis{" +
            "acceptanceHisInfoId=" + acceptanceHisInfoId +
            ", sellBillId=" + sellBillId +
            ", sellBillNumber=" + sellBillNumber +
        "}";
    }
}
